%define major		6
%define libname		%mklibname %{name} %{major}

%define libplus_major	3
%define libplus		%mklibname mlt++ %{libplus_major}

%define libnamedev	%mklibname %{name} -d

%define use_mmx	0
%{?_with_mmx: %global use_mmx 1}
%{?_without_mmx: %global use_mmx 0}

%define _disable_ld_no_undefined 1

Name:		mlt
Version:	0.9.8
Release:	%mkrel 1
Summary:	Media Lovin' Toolkit
Source0:	https://github.com/mltframework/mlt/archive/v%{version}/%{name}-%{version}.tar.xz
Patch0:         mlt-0.7.6-fix-used-symbols.patch
License:	LGPLv2+ and GPLv2+
Group:		Video
URL:		http://www.mltframework.org/
BuildRequires:	pkgconfig
BuildRequires:	ffmpeg
BuildRequires:	ffmpeg-devel
BuildRequires:	glib2-devel
BuildRequires:	gtk2-devel
BuildRequires:	ladspa-devel
BuildRequires:	libdv-devel
BuildRequires:	libexif-devel
BuildRequires:	libfftw-devel
BuildRequires:	libogg-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	libvorbis-devel
BuildRequires:	libxml2-devel
BuildRequires:	multiarch-utils
BuildRequires:	pango-devel
BuildRequires:	quicktime-devel
BuildRequires:	SDL-devel
BuildRequires:	imagemagick
BuildRequires:	mad-devel
BuildRequires:	libjack-devel
BuildRequires:	sox-devel
BuildRequires:	frei0r-plugins-devel
BuildRequires:	swig
BuildRequires:	python-devel
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5dbus-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5help-devel
BuildRequires: %{_lib}qt5network-devel
BuildRequires: %{_lib}qt5test-devel
BuildRequires: %{_lib}qt5widgets-devel
BuildRequires: %{_lib}qt5printsupport-devel

%description
MLT is an open source multimedia framework, designed and developed for
television broadcasting.

It provides a toolkit for broadcasters, video editors, media players,
transcoders, web streamers and many more types of applications. The
functionality of the system is provided via an assortment of ready to
use tools, xml authoring components, and an extendible plug-in based
API.

%package        kdenlive
Summary:        Media Lovin' Toolkit
Group:          Video

%description    kdenlive
MLT is an open source multimedia framework, designed and developed for
television broadcasting.

It provides a toolkit for broadcasters, video editors, media players,
transcoders, web streamers and many more types of applications. The
functionality of the system is provided via an assortment of ready to
use tools, xml authoring components, and an extendible plug-in based
API.

This package contains plugins aimed to used by kde apps.

%package -n     %{libname}
Summary:        Main library for mlt
Group:          System/Libraries

%description -n %{libname}
This package contains the libraries needed to run programs dynamically
linked with mlt.

%package -n	%{libplus}
Summary:	Main library for mlt++
Group:		System/Libraries

%description -n	%{libplus}
This package contains the libraries needed to run programs dynamically
linked with mlt++.

%package -n     %{libnamedev}
Summary:        Headers for developing programs that will use mlt
Group:          Development/Libraries
Requires:       %{libname} = %{version}
Requires:		%{libplus} = %{version}
Requires:	    %{name} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Provides:	    lib%{name}-devel = %{version}-%{release}

%description -n %{libnamedev}
This package contains the headers that programmers will need to develop
applications which will use mlt.

%package -n  python-%{name}
Summary:     Python bindings for MLT
Group:	     Development/Python
Requires:    python
Requires:    %{name} = %{version}-%{release}

%description -n     python-%{name}
This module allows to work with MLT using python.

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--disable-debug \
	--enable-gpl \
	--enable-gpl3 \
%if %use_mmx
	--enable-mmx \
%else
	%ifarch x86_64
	--enable-mmx \
	--enable-sse \
	%else
	--disable-mmx \
	%endif
%endif
	--luma-compress \
	--enable-avformat \
	--avformat-shared=%{_prefix} \
	--avformat-swscale \
	--enable-motion-est \
	--swig-languages='python' \
	--qimage-includedir=%{_qt5_includedir} --qimage-libdir=%{_qt5_libdir} \
	--qt-includedir=%{_qt5_includedir} --qt-libdir=%{_qt5_libdir}
%make

%install
%makeinstall_std

#man page
install -Dpm644 docs/melt.1 %{buildroot}%{_mandir}/man1/melt.1

#python bindings
install -d %{buildroot}%{py_platsitedir}
install -pm 0644 src/swig/python/%{name}.py* %{buildroot}%{py_platsitedir}/
install -pm 0755 src/swig/python/_%{name}.so %{buildroot}%{py_platsitedir}/

%files
%doc docs/*.txt README
%{_bindir}/melt
%{_datadir}/mlt
%{_libdir}/mlt/
%{_mandir}/man1/melt.1*
%exclude %{_libdir}/mlt/libmltkdenlive.so

%files kdenlive
%{_libdir}/mlt/libmltkdenlive.so

%files -n %{libname}
%{_libdir}/libmlt.so.%{major}*
%{_libdir}/libmlt.so.%{version}

%files -n %{libplus}
%{_libdir}/libmlt++.so.%{libplus_major}*
%{_libdir}/libmlt++.so.%{version}

%files -n %{libnamedev}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files -n python-%{name}
%{py_platsitedir}/%{name}.p*
%{py_platsitedir}/_%{name}.so


%changelog
* Sun Mar 27 2016 bb <bb> 0.9.8-1pclos2016
- create

